Page MenuHomePhabricator

Canceling section edit in NWE takes you to start of page
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Find a long article, scroll down to some section.
  2. Edit in NWE.
  3. Cancel your edit by pressing ESC.

Expected:
You return to read mode, with scroll state either exactly as before your edit or with the section you edited on top.

Actual:
You return to the start of the whole page.

Event Timeline

Schnark created this task.May 14 2018, 9:04 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptMay 14 2018, 9:04 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Cirdan added a subscriber: Cirdan.May 14 2018, 12:36 PM
Esanders triaged this task as Low priority.May 14 2018, 4:15 PM

Change 435190 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: Section-scroll as part of restoring the page

https://gerrit.wikimedia.org/r/435190

DLynch claimed this task.May 29 2018, 2:46 PM
DLynch edited projects, added VisualEditor (Current work); removed VisualEditor.
DLynch moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 435190 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] DesktopArticleTarget: Section-scroll as part of restoring the page

https://gerrit.wikimedia.org/r/435190

Deskana closed this task as Resolved.May 31 2018, 9:50 AM
Jdforrester-WMF set the point value for this task to 1.Jun 13 2018, 6:24 PM
Vvjjkkii renamed this task from Canceling section edit in NWE takes you to start of page to w0caaaaaaa.Jul 1 2018, 1:10 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed DLynch as the assignee of this task.
Vvjjkkii raised the priority of this task from Low to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii edited subscribers, added: DLynch; removed: gerritbot, Aklapper.
Koavf renamed this task from w0caaaaaaa to Canceling section edit in NWE takes you to start of page.Jul 1 2018, 6:30 PM
JJMC89 closed this task as Resolved.Jul 1 2018, 6:34 PM
JJMC89 assigned this task to DLynch.
JJMC89 lowered the priority of this task from High to Low.
JJMC89 updated the task description. (Show Details)
JJMC89 edited subscribers, added: Aklapper; removed: DLynch.